Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159337 - Serial connection to Palm Vx doesn't work
Summary: Serial connection to Palm Vx doesn't work
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-pilot
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-06-01 18:30 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-16 23:37:14 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2005-06-01 18:30:39 UTC
Description of problem:
I connected my Palm Vx via serial (yep, it is oldish) to this PC (via a serial
<--> USB cable, new machine with no serial ports), but it won't sync at all:
gnome-pilot applet just hangs, Palm times out). Same thing with a direct
connection to an x86_64 machine, BTW. Reading from the serial port to a file and
pressing the HotSync button gives some 99 bytes of gibberish, so the serial
connection is working.

Version-Release number of selected component (if applicable):
gnome-pilot-2.0.13-2

How reproducible:
Always

Steps to Reproduce:
1. Pilot in craddle, start gnome-pilot-applet,
   -> Forward, configure serial port (57600 or 19600 makes no difference)
2. Ask for syncing, press HotSync button 
3.
  
Actual results:
Applet hang, Palm timeout

Expected results:
Syncing?

Additional info:
I did this before with the same Palm under RH9 I believe, so I don't think I'm
doing everything wrong.

Comment 1 Horst H. von Brand 2005-07-18 15:31:31 UTC
Now the communication itself does work, but neither gnome-pilot nor jpilot are
able to talk to the device, gnome-pilot and jpilot get confused by the username
set on the Palm as far as I can see. pilot-xfer works fine, and as the others
are just too confusing for use (no decent way of editing the username in the
Palm, I can't for the life of me figure out how to edit and push individual
files back, ...), I'm giving up.

gnome-pilot-2.0.13-6.fc5
jpilot-0.99.8-0.pre9.1
pilot-link-0.12.0-0.pre4.2

Comment 2 Matt Davey 2006-01-21 13:05:45 UTC
Can you give more info on the error messages you get?
Try killing any gpilotd process and starting one in a terminal
window (/usr/libexec/gpilotd) so that you can see the error
messages.  This may give you more info to google for...

Can you downgrade to the stable release pilot-link 0.11.8?

Comment 3 Matthew Barnes 2006-12-16 23:37:14 UTC
Closing this bug due to lack of updates.  Feel free to re-open it if the problem
still exists in the latest Fedora Core 6 packages:

gnome-pilot-2.0.15-1.fc6
pilot-link-2:0.11.8-16


Note You need to log in before you can comment on or make changes to this bug.